### Method

# GtkSource StyleSchemeManager set_search_path

#### Declaration [src]

    void
    gtk_source_style_scheme_manager_set_search_path (
      GtkSourceStyleSchemeManager* manager,
      const gchar* const* path
    )

#### Description [src]

Sets the list of directories where the `manager` looks for style scheme files.

If `path` is `NULL`, the search path is reset to default.

Since GtkSourceView 5.16 this function will allow you to provide paths in the form of “resource:///” URIs to embedded `GResource`s. They must contain the path of a directory within the `GResource`.

Sets property | `GtkSource.StyleSchemeManager:search-path`

#### Parameters

`path`

  Type: An array of `gchar*`

  A `NULL`-terminated array of strings or `NULL`.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.